﻿@using Blum.Web.Alerts

@{
    var alerts = TempData.ContainsKey(Alert.TempDataKey)
                ? (List<Alert>)TempData[Alert.TempDataKey]
                : new List<Alert>();

    @if (alerts.Any())
    {
        foreach (var alert in alerts)
        {
            @Html.Edit("")
            var dismissableClass = alert.Dismissable ? "alert-dismissable" : null;
            <span class="str">"alert alert-@alert.AlertStyle @dismissableClass"</span>

            if (alert.Dismissable)
            {
                <span class="str">"button"</span> <span class="kwrd">class</span>
            }
        }


    }

    @Html.Raw(alert.Message)


    &lt; div < span class="kwrd">class</span>=<span class="str">"alert alert-@alert.AlertStyle @dismissableClass"</span>&gt;
@<span class="kwrd">if</span> (alert.Dismissable)
        {
            &lt;button type =< span class="str">"button"</span> <span class="kwrd">class</span>=<span class="str">"close"</span> data-dismiss=<span class="str">"alert"</span> aria-hidden=<span class="str">"true"</span>&gt;&amp;times;&lt;/button&gt;
        }

            &lt;/div&gt;
}

}